> For the complete documentation index, see [llms.txt](https://developer.smarts.ee/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.smarts.ee/general/data-object-description/receipt.md).

# Receipt

### Object description

| Field                | Type                                                                               | Required | Description                         |
| -------------------- | ---------------------------------------------------------------------------------- | -------- | ----------------------------------- |
| institutionInvoiceId | [S](/general/data-object-description/shipment.md#enum-type-possible-values)tring   | Yes      | Institution side invoice identifier |
| invoiceId            | [S](/general/data-object-description/shipment.md#enum-type-possible-values)tring   | Yes      | Smarts invoice unique identifier    |
| institutionId        | String                                                                             | Yes      | Smarts store unique identifier      |
| customerId           | String                                                                             | Yes      | Smarts customer unique identifier   |
| products             | List<[ReceiptProduct](/general/data-object-description/receiptproduct.md)>         | Yes      | Receipt product description         |
| loyaltyCards         | List<[ReceiptLoyaltyCard](/general/data-object-description/receiptloyaltycard.md)> | No       | Receipt loyalty cards description   |
| shipment             | [Shipment](/general/data-object-description/shipment.md)                           | No       | Shipment details                    |
| currency             | [Currency](/general/data-object-description/currency.md)                           | Yes      | Currency                            |
| totalWithoutAddition | double                                                                             | Yes      | Shipment address                    |
| additionSum          | double                                                                             | Yes      | Addition sum                        |
| totalWithoutVAT      | double                                                                             | Yes      | Total without VAT                   |
| vatSum               | double                                                                             | Yes      | VAT sum                             |
| total                | double                                                                             | Yes      | Total to pay                        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.smarts.ee/general/data-object-description/receipt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
